Subject: RE: [MMUSIC] A Framework for Internet Program Guides

From: [email-masked]
Date: Fri, 8 Nov 2002 14:33:23 +0200

In respect of these internet guides, the use of a description "protocol" and an announcement protocol is independent. SAP can be used, SDP can be used, SDPng can be used, and so on. SAP clearly has limitations but is widely known. Furthermore, SAP is optimised for unidirectional multicast delivery. The scope of this work item should include both uni- and bi-directional transport and both unicast and multicast (I guess the draft is a little less vague on this). It is highly likely that the existing SAP specification is unable to meet the need for a unidirectional and multicast transport of these Internet guides.

SDPng has the same advantage as XML - it is extensible (and so is SDP for that matter). It is highly likely that a multitude of existing description "languages" can be extended to meet the needs for guide metadata framing.

As any candidate for metadata framing there are some easily identified issues to deal with. Efficiency on the link is important - efficiency, compression and the use of "data dictionaries" may be important especially where network resources are scarce (e.g. especially for wireless). And, one of the main advantages of SDPng over SDP - capability negotiation - does not apply to point-to-multipoint services (except possibly in the same scope as RTCP).

Also, it seems intuitively obvious that one framing "protocol" can deal with all requirements. However, it may not be desirable in all cases. For instance, fast deployment could be achieved with existing SDP augmented with XML descriptions of hierarchy. This is a very open issue so I am more interested in the requirements and use cases at this stage. Then the protocol choices, new extensions and brand-new protocols should be more stable if done after this.
 
> >Is SDPng assuming SAP distribution?
For this guide, it probably not a good idea to assume that SAP is used to transport "whatever metadata framing" (e.g. SDPng) or even that SAP meets the needs of guide transport.

>>   This memo provides a framework for Internet program guides (IPG). An
>>    IPG is a set of meta-data describing the features of multimedia
>>    content in order to subscribe to, manage and exchange multimedia
>>    content. We present an architecture, protocol model and program
>>    guide data model for several scenarios.
>
> Could someone explain why 'SDPng' is inappropriate for this?
SDPng is a candidate for framing the metadata - it is not inappropriate. The use of the "description framing" (e.g. SDPng) will need to be specified exactly with the possibility of extending to meet specific application needs and future needs that we can (or should) not address in the IETF. Both the delivery of the "description framing" (e.g. SAP+HTTP) and how the system should work as a whole (framework/baseline) are distinct work items from SDPng vs. everything else.

How about the requirements and framework - what are your views of the strengths and weaknesses of the various candidates for these?

Cheers, Rod.

PS sorry for the made-up words, I'm just trying to avoid being bound to favouring one existing protocol over another by default.
_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic